/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 大恒泰山系统
 * 创建日期:2022/8/22
 */
package org.springblade.modules.business.rtu.data.wrapper;


import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.business.rtu.data.entity.RtuDataRsvrEntity;
import org.springblade.modules.business.rtu.data.vo.RtuDataRsvrVO;

import java.util.*;

/***
 * Date:2022/8/22
 * Title:文件所属模块（必须填写）
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
public class RtuDataRsvrWrapper extends BaseEntityWrapper<RtuDataRsvrEntity, RtuDataRsvrVO> {
	public static RtuDataRsvrWrapper build() {
		return new RtuDataRsvrWrapper();
	}

	@Override
	public RtuDataRsvrVO entityVO(RtuDataRsvrEntity entity) {
		RtuDataRsvrVO rtuInfoVO = Objects.requireNonNull(BeanUtil.copy(entity, RtuDataRsvrVO.class));

		return rtuInfoVO;
	}
}
